//SDL biblioteker
#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_ttf.h"
//#include "SDL/SDL_mixer.h"

//biblioteker
#include <iostream>
#include <vector>
#include <string>
#include <fstream>

//egne klasser
#include "button.h"
#include "Text_editor.h"
#include "Map_Pick.h"

//Initalisering
#include "main.h"

bool quit=false;

Uint32 frame;

int main( int argc, char* args[] )
{

    init();
    load_images();

    while( quit == false )
    {
        //frame_counter
        frame = SDL_GetTicks();
        SDL_Event e;
        while(SDL_PollEvent( &e ))
        {
            if( e.type == SDL_QUIT )
            {
            quit = true;
            }
            //test.Read_Key(event);
        }

        if(test.Read_Key_Global())
        {
            quit = true;
        }

        std::string string_info = test.Get_String();

        floor_info.clear();
        floor_info.input((unsigned char*)string_info.c_str(), string_info.length());

        std::vector<std::string> vector_info = test.Get_items();
        info.clear();
        for(unsigned int i=0; i<vector_info.size(); i++)
        {
            string_info = vector_info[i];
            info.input((unsigned char*)string_info.c_str(), string_info.length());
            info.new_line();
        }

        apply_surface( 0 , 0, background, screen );
        apply_surface( 0 , 50, test.Get_Image(), screen );
        floor_info.apply_text();
        info.apply_text();
        SDL_Flip( screen );

        if( (SDL_GetTicks() - frame) < 1000 / FRAMES_PER_SECOND )
        {
        SDL_Delay( ( 1000 / FRAMES_PER_SECOND ) - (SDL_GetTicks()-frame) );
        }

    }

void clean_up();
return 0;
}


