#ifndef MAP_PICK_H
#define MAP_PICK_H

#include "SDL/SDL.h"
#include "SDL/SDL_image.h"

#include "string"
#include "vector"

class Map_Pick
{
    public:
        Map_Pick();
        virtual ~Map_Pick();
        SDL_Surface* Get_Image();
        void Read_Key(SDL_Event e);
        bool Read_Key_Global();
        std::string Get_String();
        std::vector<std::string> Get_items();
    protected:
    private:
        int floor_count;
        int map_count;
        SDL_Surface* current_image;
        bool updated;
};

#endif // MAP_PICK_H
