/*
Denne klasse er lavet til at hndtere tekst
Opdateret sidst 14/11/2012
*/

# ifndef Text_H
# define Text_H

#include <string>
#include <sstream>

class Text_editor{

private:
SDL_Rect box;
SDL_Surface *text_picture[10];
std::string text[10];
bool active;
bool pushed;
static unsigned char unused;

int line;

public:
Text_editor(int x, int y, int w, int h, std::string start_message = "", std::string start_value = "");
~Text_editor();

void clear();
bool input_keyboard(unsigned char &user = unused);
void input(unsigned char *buffer, int length);
void new_line();
void apply_text();
bool is_active();
bool check();
std::string get_line(int line_number);

};
#endif
