
#include "Billedmanipulation.h" //works like it was defined in main, get them from shared.h

const int SCREEN_WIDTH = 630;
const int SCREEN_HEIGHT = 900;
const int SCREEN_BPP = 32;
const int FRAMES_PER_SECOND = 30;

//event buffer
SDL_Event event;

SDL_Surface *screen = NULL;
SDL_Surface *background = NULL;

Map_Pick test;
Text_editor info(50, 520, 500, 200, "Item info", "Here helping info will be given");
Text_editor floor_info(50, 10, 500, 200, "Floor info", "Here helping info will be given");
unsigned char Text_editor::unused = 'a';

//tekster
TTF_Font *font_24 = NULL;
TTF_Font *font_14 = NULL;
SDL_Color Color_white = { 0xFF, 0xFF, 0xFF };
SDL_Color Color_black = {  0, 0, 0 };


bool init()
{
    if( SDL_Init( SDL_INIT_EVERYTHING ) == -1 )
    {
    return false;
    }
    SDL_WM_SetCaption( "Pokemon Mystery Dungeon Layout viewer", NULL );

    Uint32 colorkey;
    SDL_Surface *image;
    image = SDL_LoadBMP("icon.bmp");
    colorkey = SDL_MapRGB(image->format, 255, 0, 0);
    SDL_SetColorKey(image, SDL_SRCCOLORKEY, colorkey);

    SDL_WM_SetIcon(image, NULL);
    screen = SDL_SetVideoMode( SCREEN_WIDTH, SCREEN_HEIGHT, SCREEN_BPP, SDL_SWSURFACE );

    if( screen == NULL )
    {
    return false;
    }


    if( TTF_Init() == -1 )
    {
    return false;
    }

    SDL_EnableUNICODE( SDL_ENABLE );

    return true;
}

void load_images()
{
    //billeder
    background	= load_image( "background.png" );

    //fonts
    font_24 	= TTF_OpenFont( "Arial.ttf", 24 );
    font_14 	= TTF_OpenFont( "Arial.ttf", 14 );
}

void clean_up()
{
    //Free the surfaces
    SDL_FreeSurface( background );


    TTF_CloseFont( font_24 );
    TTF_CloseFont( font_14 );

//Disable Unicode
	SDL_EnableUNICODE( SDL_DISABLE );

    //Quit SDL
    TTF_Quit();
    SDL_Quit();
}
